# docker pull snoopycrimecop/omero-server:dev-merge
# docker pull snoopycrimecop/omero-web:dev-merge

version: '3'

services:

  db:
    image: library/postgres:9.6
    environment:
    - POSTGRES_PASSWORD=postgres
    networks:
    - omero
    volumes:
    - omero-database:/var/lib/postgresql/data

  omero:
    image: snoopycrimecop/omero-server:dev-merge
    environment:
    - CONFIG_omero_db_user=postgres
    - CONFIG_omero_db_name=postgres
    - CONFIG_omero_db_pass=postgres
    - CONFIG_omero_db_poolsize=40
    - ROOTPASS=${ROOTPASS:-omero}
    - CONFIG_omero_security_password__required=false
    networks:
    - omero
    ports:
    - 4064:4064
    volumes:
    - omero-data-dir:/OMERO

  web:
    build:
      context: ./web
    environment:
    - CONFIG_omero_web_check__version=false
    - CONFIG_omero_web_secure=true
    - CONFIG_omero_web_public_enabled=true
    - CONFIG_omero_web_public_user=root
    - CONFIG_omero_web_public_password=omero
    - CONFIG_omero_web_public_url__filter=^/
    - CONFIG_omero_web_sharing_twitter={"omero":"@openmicroscopy"}
    - CONFIG_omero_web_sharing_opengraph={"omero":"Open Microscopy"}
    networks:
    - omero
    ports:
    - 4080:4080

networks:
  omero:

volumes:
  omero-data-dir:
  omero-database:
